Subject: Re: bug#3616: 23.0.94; vc-bzr coding system bug

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Jun 2009 08:10:54 -0400

> Date: Fri, 19 Jun 2009 16:24:37 +0800
> From: =?UTF-8?Q?=E7=AB=AF=E7=91=9E?= <[email-masked]>
> Cc: 
> Reply-To: =?UTF-8?Q?=E7=AB=AF=E7=91=9E?= <[email-masked]>,
> 	[email-masked]
> 
> In short, the bug is, when I use Chinese, it cannot commit successfully.
> The version of my bazaar is 1.15.

Does it work for you from the command line?  If it does, what encoding
of Chinese do you use in that case?

> Next I will show 3 bazaar sessions and their bzr log, 1 and 3 are with this bug.
> Obviously, the command string passed from Emacs to bazaar was wrongly encoded.
> 
> 1. When I run the command bzr commit in Emacs *shell* buffer, my
> comment message is written in Chinese, the result was:

What is the value of buffer-file-coding-system in the *shell* buffer?
Does it help to change it to cp936?